import { message } from "antd/lib/index";
import { getPropertyData, extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, guid } from "../../utils/common";
import moment from 'moment';
import { Button, Row, Col, Form, Input, Select, Upload, Icon, Modal, Spin,Table } from 'antd';
/**
 * @return {string}
 */
// 编辑
export default {
  onBeforeSaveHandleRecord(params) {
    params.record.TaskID = params.data.TaskID    //TaskID传递消息表ID
    params.record.PUBLISH = params.customParams;
    // params.record.FORM_CODE = params.data.reloadKey.substring(0,params.data.reloadKey.indexOf("_"));
  },
  onBeforeEdit: ({ isNew,login,record, dispatch,stateData, setFieldVisible,setFieldValue,setFieldValueByBatch }) => {
    if (isNew) {
        let json = initFilter(login.OrgId);
        extendRule(json, "ID", 1, login.userId);
        dispatch({
            type: 'app/getDataByPost',
            url: 'FM/User/Get',
            payload: json,
          onComplete: (ret) => {
            if (ret) {
                let temps = [];
              temps.push({ field: 'USER_ID', value: login.userId})
              temps.push({ field: 'Nav_User.NAME', value: ret.NAME })
              setFieldValueByBatch(temps);
            }
          }
        });
      }
  }
}
